Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

doc: update FreeBSD build guide for 12.0 #15416

Merged
merged 1 commit into from Feb 21, 2019

Conversation

Projects
None yet
4 participants
@fanquake
Copy link
Member

commented Feb 15, 2019

Updated the build guide for FreeBSD 12.0 (also bought more inline with the other BSD guides.

As of FreeBSD 12.0, an ancient GDB is no longer installed by default. Instead, a modern version is available from devel/gdb, which is currently version 8.2.x. A recent LLDB is also available.

@fanquake fanquake added the Docs label Feb 15, 2019

@DrahtBot

This comment has been minimized.

Copy link
Contributor

commented Feb 15, 2019

The following sections might be updated with supplementary metadata relevant to reviewers and maintainers.

Conflicts

Reviewers, this pull request conflicts with the following ones:

  • #15071 (Docs: add gmake syntax to autoconf script by seth586)

If you consider this pull request important, please also help to review the conflicting pull requests. Ideally, start with the one that should be merged first.

`--disable-wallet` to `./configure` and skip to the next section.

```shell
./contrib/install_db4.sh `pwd`

This comment has been minimized.

Copy link
@MarcoFalke

MarcoFalke Feb 16, 2019

Member
Suggested change
./contrib/install_db4.sh `pwd`
./contrib/install_db4.sh $(pwd)
@laanwj

This comment has been minimized.

Copy link
Member

commented Feb 17, 2019

As of FreeBSD 12.0, an ancient GDB is no longer installed by default.

Oh that's good to know!

Instead, a modern version is available from devel/gdb, which is currently version 8.2.x. A recent LLDB is also available.

Yes, a newer, usable one was always available from ports. It's good to know the garbage one isn't there by default anymore.

@laanwj

This comment has been minimized.

Copy link
Member

commented Feb 17, 2019

Will test this later, after I've updated my FreeBSD box, but changes look good to me, utACK 901baf2

@laanwj laanwj merged commit 901baf2 into bitcoin:master Feb 21, 2019

2 checks passed

continuous-integration/appveyor/pr AppVeyor build succeeded
Details
continuous-integration/travis-ci/pr The Travis CI build passed
Details

laanwj added a commit that referenced this pull request Feb 21, 2019

Merge #15416: doc: update FreeBSD build guide for 12.0
901baf2 doc: update FreeBSD build guide for 12.0 (fanquake)

Pull request description:

  Updated the build guide for FreeBSD 12.0 (also bought more inline with the other `BSD` guides.

  As of FreeBSD 12.0, an ancient GDB is [no longer installed by default](https://www.freebsd.org/releases/12.0R/relnotes.html). Instead, a modern version is available from [`devel/gdb`](https://www.freshports.org/devel/gdb), which is currently version 8.2.x. A recent `LLDB` is also available.

Tree-SHA512: c9034348362c2c3d20ee26f6fd66bc447b448dcee767fc9e40131dce26fb54d059fe3b0577c5984931069580d5326eaa0ccf97389458edd3dba02b5ca62f2236

@fanquake fanquake deleted the fanquake:docs-freebsd-120 branch Feb 22, 2019

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
You can’t perform that action at this time.